%define fontname        charis
%define fontdir         %{_datadir}/fonts/%{fontname}
%define fontconfdir     %{_sysconfdir}/fonts

%define archivename     CharisSIL%{version}

Name:      %{fontname}-fonts
Version:   4.100
Release:   1%{?alphatag}%{?dist}
Summary:   Charis SIL fonts

Group:     User Interface/X
License:   SIL Open Font License
URL:       http://scripts.sil.org/CharisSILFont/
# Actual download URL
# http://scripts.sil.org/cms/scripts/render_download.php?site_id=nrsi&format=file&media_id=%{archivename}.zip&filename=%{archivename}.zip
Source0:   %{archivename}.zip
Source1:   %{name}-fontconfig.conf

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch: noarch

%description
Charis SIL provides glyphs for a wide range of Latin and Cyrillic characters.
Charis is similar to Bitstream Charter, one of the first fonts designed
specifically for laser printers. It is highly readable and holds up well in
less-than-ideal reproduction environments. It also has a full set of styles
- regular, italic, bold, bold italic - and so is more useful in general
publishing than Doulos SIL. Charis is a serif proportionally spaced font
optimized for readability in long printed documents.


%prep
%setup -q -c
sed -i 's/\r//' *.txt


%build


%install
rm -fr %{buildroot}

# Fonts
install -m 0755 -d %{buildroot}%{fontdir}
install -m 0644 -p *.ttf %{buildroot}%{fontdir}

# Fontconfig tweaks
install -m 0755 -d %{buildroot}%{fontconfdir}/conf.d
install -m 0644 -p %{SOURCE1} %{buildroot}%{fontconfdir}/conf.d/60-%{fontname}.conf


%clean
rm -fr %{buildroot}


%post
if [ -x /usr/bin/fc-cache ]; then
  /usr/bin/fc-cache /usr/share/fonts
fi


%postun
if [ "$1" = "0" ]; then
  if [ -x /usr/bin/fc-cache ]; then
    /usr/bin/fc-cache /usr/share/fonts
  fi
fi


%files
%defattr(0644,root,root,0755)
%doc *.txt *.pdf

%config(noreplace) %{fontconfdir}/conf.d/60-%{fontname}.conf

%dir %{fontdir}
%{fontdir}/*.ttf


%changelog
* Thu May 31 2007 Nicolas Mailhot <nicolas.mailhot at laposte.net>
☺ 4.100-1
✓ add fontconfig setup file
✓ make spec closer to the dejavu one to simplify maintenance

* Thu Nov 09 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.02-3
- Remove ghost-ed fontconfig cache files

* Tue Sep 19 2006 Kevin Fenzi <kevin@tummy.com> - 4.0.02-2
- Rebuild for fc6
- Add dist tag

* Sat Feb 18 2006 Roozbeh Pournader <roozbeh@farsiweb.info> - 4.0.02-1
- Initial packaging, based on gentium-fonts
